<ion-header style="padding-bottom:10px" >
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/buscar-estacion/10"></ion-back-button>
      <ion-title>Paso 3 de 3</ion-title>
    </ion-buttons>
  </ion-toolbar>
</ion-header>


<ion-content>
  <ion-label style="padding:20px; padding-top:10px;" class="main-title">Resumen</ion-label>
  <ion-list>
    <ion-item lines="none">
      <ion-grid>
        <ion-row>
          <ion-col>
            <ion-label class="sub-title">Auto</ion-label>
          </ion-col>
          <ion-col class="btn-editar">
            <ion-button (click)="updateAutos()" fill="clear">Editar</ion-button>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col size="2" style="display: flex; flex-direction:row; align-items: center; justify-content: center;flex-wrap:wrap;">
            <ion-icon size="large" color="danger" name="car-sport-outline"></ion-icon>
          </ion-col>
          <ion-col style="display: flex; flex-direction:row; justify-content:flex-start; align-content:center; flex-wrap:wrap;">
            <ion-label> {{pedido.carga.auto.nickname}} {{pedido.carga.auto.license_plates}}</ion-label>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-item>
    <ion-item lines="none">
      <ion-grid>
        <ion-row>
          <ion-col>
            <ion-label class="sub-title">Carga</ion-label>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col style="display: flex; flex-direction:row; justify-content:flex-start; align-content:center; flex-wrap:wrap;">
            <ion-label style="margin-right: 10px;">$ {{pedido.carga.total}} MXN</ion-label>
            <ion-label> · </ion-label>
            <ion-label style="margin-left: 10px;"> {{pedido.carga.litros}} L</ion-label>
            <ion-label style="margin-right: 10px;"> · </ion-label>
            <ion-label *ngIf="pedido.carga.auto.fuel === 'Diesel'" style="background:var(--ion-color-carga-diesel); padding: 0 5px; border-radius: 5px; padding-left:5px;" > {{pedido.carga.auto.fuel}}</ion-label>
            <ion-label *ngIf="pedido.carga.auto.fuel === 'Regular'" style="background:var(--ion-color-carga-regular); padding: 0 5px; border-radius: 5px;" > {{pedido.carga.auto.fuel}}</ion-label>
            <ion-label *ngIf="pedido.carga.auto.fuel === 'Premium'" style="background:var(--ion-color-carga-premium); padding: 0 5px; border-radius: 5px;" > {{pedido.carga.auto.fuel}}</ion-label>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-item>
    <ion-item lines="none">
      <ion-grid>
        <ion-row>
          <ion-col>
            <ion-label class="sub-title">Método de pago</ion-label>
          </ion-col>
          <ion-col *ngIf="metodoDePago.nombreTitular !== ''" class="btn-editar">
            <ion-button fill="clear">Editar</ion-button>
          </ion-col>
        </ion-row>
        <ion-row *ngIf="metodoDePago.nombreTitular !== '' ">
          <ion-label>{{metodoDePago.nombreTitular}}</ion-label>
        </ion-row>
        <ion-row *ngIf="metodoDePago.nombreTitular !== '' ">
          <ion-col style="display: flex; flex-direction:row; justify-content:flex-start; align-content:center; flex-wrap:wrap;">
            <ion-icon [src]="metodoDePago.icon" style="margin-right: 10px;"></ion-icon>
            <ion-label style="margin-left: 10px;"> ···· ···· ···· {{metodoDePago.terminacion}} </ion-label>
          </ion-col>
        </ion-row>
        <ion-row *ngIf="metodoDePago.nombreTitular === '' ">
          <ion-col size="12">
            <ion-item lines="none" shape="round" style="--background: linear-gradient(to right, rgba(66, 141, 141, 0.1), rgba(255, 255, 255, 0));" (click)="nuevaTarjeta()" button>
              <ion-label color="dark">Agregar</ion-label>
            </ion-item>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            <ion-label class="sub-title">Factura</ion-label>
            <ion-label color> (Opcional) </ion-label>
          </ion-col>
          <ion-col class="btn-editar">
            <ion-button class="opacity-text"fill="clear">Editar</ion-button>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col size="12">
            <ion-item lines="none" shape="round" style="--background: linear-gradient(to right, rgba(66, 141, 141, 0.1), rgba(255, 255, 255, 0));" button>
              <ion-label color="dark">Agregar</ion-label>
            </ion-item>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-item>
    <ion-item>
      <ion-icon name="flash-outline"></ion-icon>
      <ion-label class="sub-title">Servicio Express</ion-label>
      <ion-toggle aria-label="Primary toggle" color="primary" labelPlacement="start" [checked]="true" (ionChange)="changeTipoServicio($event)"></ion-toggle>
      <ion-buttons slot="end">
        <ion-button id="click-trigger">
          <ion-icon name="help-circle-outline" slot="end" ></ion-icon>
        </ion-button>
        <ion-popover trigger="click-trigger" triggerAction="click">
          <ng-template>
            <ion-content class="ion-padding">Con servicio express no tienes que interact</ion-content>
          </ng-template>
        </ion-popover>
      </ion-buttons>
    </ion-item>
    <ion-item lines="none">
      <ion-grid>
        <ion-row>
          <ion-col>
            <ion-label class="sub-title">Estación</ion-label>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col style="display: flex; flex-direction:row; justify-content:flex-start; align-content:center; flex-wrap:wrap;">
            <ion-label style="margin-right: 10px;">{{pedido.estacion.nombre}}</ion-label>
            <ion-label> · </ion-label>
            <ion-label style="margin-left: 10px;"> {{pedido.estacion.direccion.calle}}</ion-label>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-item>


    <ion-radio-group class="ion-padding-custom">
      <ion-button expand="block" shape="round" (click)="realizarPedido()" style="padding-left: 15px;padding-right: 15px;">
      <!-- <ion-button shape="round" size="large"  expand="full" fill="solid" color="primary" (click)="realizarPedido()"> -->
        Realizar pedido
      </ion-button>
    </ion-radio-group>
  </ion-list>
</ion-content>
